# mPy - HCC beginners course: extra_micropython
# Provided by Anthony Vogelaar, Perth Scotland
#  rev 010  2024-06-21  initial release


import array
print(x := array.array('i', [-1, 0, 1, 100]), type(x[3]), x[3])

import  binascii
print(binascii.hexlify(b'1234', ' '))

print(hex(10))

import  collections
print(collections.OrderedDict({'a':1, 'b':2}))

import  errno
print(errno.errorcode[2])

import  gc
gc.collect(); print(gc.mem_alloc(), gc.mem_free())

# import  gzip
# print(len(gzip.compress(b'*'*1000)))

import  hashlib
print(hashlib.sha256(b'123'))

import  platform
print(platform.platform(), '\n', platform.python_compiler())

